creCov/urls.py
from django.contrib import admin
from django.urls import path, include
from django.conf import settings
from django.conf.urls.static import static

urlpatterns = [
    path('admin/', admin.site.urls),
    path('', include('files_app.urls')),
    # path('', include('users.urls')),
] + static(settings.STATIC_URL, document_root=settings.STATIC_ROOT)
if settings.DEBUG:
    urlpatterns += static(settings.MEDIA_URL,
                          document_root=settings.MEDIA_ROOT)

files_app/urls.py
from django.urls import path
from .views import (
    home_view,
    resume_view,
    user_registration_view,
    contact_view,
    feedback_view,
    Survey_view,
    event_registration_view,
    product_order_view,
    newsletter_subscription_view,
    custum_view,
    )

app_name = 'files_app'

urlpatterns = [
    path('', home_view, name='home'),
    path('resume/', resume_view, name='resume'),
    path('user-registration/', user_registration_view,
         name='user_registration'),
    path('contact/', contact_view, name='contact'),
    path('feedback/', feedback_view, name='feedback'),
    path('survey/', Survey_view, name='survey'),
    path('event-registration/', event_registration_view,
         name='event_registration'),
    path('product-order/', product_order_view, name='product_order'),
    path('newsletter-subscription/', newsletter_subscription_view,
         name='newsletter_subscription'),
    path('custum/', custum_view,
         name='custum'),
]

files_app/models.py
from django.db import models

# Create your models here.

files_app/forms.py
from django import forms
from datetime import datetime
from django.utils.translation import gettext_lazy as _


class GenderChoise(forms.ChoiceField):
    MALE = 'male', _('Male')
    FEMAIL = 'femail', _('Femail')
    OTHER = 'other', _('Other')


class FormatForm(forms.Form):
    class FileFormat(forms.ChoiceField):
        PDF = 'Pdf', _("PDF")
        word = 'Word', _("WORD")
        img = 'Img', _('IMAGES')
        text = 'Text', _('TEXT')
    file_format = forms.ChoiceField(
        choices=FileFormat.choices, label='File Formet')


class ResumeForm(forms.Form):
    image = forms.ImageField(label='Image', required=False)
    first_name = forms.CharField(max_length=100, label='First Name')
    last_name = forms.CharField(max_length=100, label='Last Name')
    email = forms.EmailField(label='Email')
    phone_number = forms.CharField(max_length=20, label='Phone Number')
    address = forms.CharField(max_length=200, label='Address')
    summary = forms.CharField(widget=forms.Textarea, label='Summary')
    education = forms.CharField(widget=forms.Textarea, label='Education')
    experience = forms.CharField(widget=forms.Textarea, label='Experience')
    skills = forms.CharField(widget=forms.Textarea, label='Skills')
    certifications = forms.CharField(
        widget=forms.Textarea, label='Certifications')


class UserRegistrationForm(forms.Form):
    first_name = forms.CharField(max_length=100, label='First Name')
    last_name = forms.CharField(max_length=100, label='Last Name')
    email = forms.EmailField(label='Email')
    username = forms.CharField(max_length=100, label='Username')
    password = forms.CharField(widget=forms.PasswordInput(), label='Password')
    confirm_password = forms.CharField(
        widget=forms.PasswordInput(), label='Confirm Password')

    def clean(self):
        cleaned_data = super().clean()
        password = cleaned_data.get('password')
        confirm_password = cleaned_data.get('confirm_password')

        if password and confirm_password and password != confirm_password:
            raise forms.ValidationError("Passwords do not match.")

        return cleaned_data


class ContactForm(forms.Form):
    class DepartmentChoise(forms.ChoiceField):
        SALES = 'sales', _('Sales')
        SUPPORT = 'support', _('Support')
        BILLING = 'billing', _('Billing')
        GENERAL = 'general', _('General Inquiry')

    class UrgencyChoise(forms.ChoiceField):
        LOW = 'low', _('Low')
        MEDIUM = 'medium', _('Medium')
        HIGH = 'high', _('High')

    name = forms.CharField(max_length=100, label='Your Name')
    email = forms.EmailField(label='Your Email')
    phone_number = forms.CharField(max_length=20, label='Phone Number')
    subject = forms.CharField(max_length=200, label='Subject')
    message = forms.CharField(widget=forms.Textarea, label='Message')
    department = forms.ChoiceField(
        choices=DepartmentChoise.choices, label='Reasom for Contacting Us')
    urgency = forms.ChoiceField(
        choices=UrgencyChoise.choices, label='Urgency')
    attachment = forms.FileField(required=False, label='Attachment')

    def clean(self):
        cleaned_data = super().clean()
        email = cleaned_data.get('email')
        phone_number = cleaned_data.get('phone_number')

        if not email and not phone_number:
            raise forms.ValidationError(
                "You must provide either an email address or a phone number.")

        return cleaned_data


class FeedbackForm(forms.Form):
    class FeedbackTypeChoise(forms.ChoiceField):
        GENERAL = 'general', _('General Feedback')
        BUG_REPORT = 'bug_report', _('Bug Report')
        FEATURE_REQUEST = 'feature_request', _('Feature Request')
        COMPLAINT = 'complaint', _('Complaint')

    class FeedbackRatingChoise(forms.ChoiceField):
        EXCELLENT = 'excellent', _('Excellent')
        GOOD = 'good', _('Good')
        AVERAGE = 'average', _('Average')
        POOR = 'poor', _('Poor')

    name = forms.CharField(max_length=100, label='Your Name')
    email = forms.EmailField(label='Your Email')
    phone_number = forms.CharField(max_length=20, label='Phone Number')
    feedback_type = forms.ChoiceField(
        choices=FeedbackTypeChoise.choices, label='Feedback Type')
    feedback_rating = forms.ChoiceField(
        choices=FeedbackRatingChoise.choices, label='Feedback Rating')
    feedback_details = forms.CharField(
        widget=forms.Textarea, label='Feedback Details')
    additional_comments = forms.CharField(
        widget=forms.Textarea, required=False, label='Additional Comments')
    attachment = forms.FileField(required=False, label='Attachment')

    def clean(self):
        cleaned_data = super().clean()
        email = cleaned_data.get('email')
        phone_number = cleaned_data.get('phone_number')

        if not email and not phone_number:
            raise forms.ValidationError(
                "You must provide either an email address or a phone number.")

        return cleaned_data


class SurveyForm(forms.Form):
    class EducationLevelChoise(forms.ChoiceField):
        HIGH_SCHOOL = 'high_school', _('High School')
        COLLEGE = 'college', _('College')
        GRADUATE_SCHOOL = 'graduate_school', _('Graduate School')
        OTHER = 'other', _('Other')

    class SatisfactionRatingChoise(forms.ChoiceField):
        VERY_DISSATISFIED = 1, _('1 - Very Dissatisfied')
        DISSATISFIED = 2, _('2 - Dissatisfied')
        NEUTRAL = 3, _('3 - Neutral')
        SATISFIED = 4, _('4 - Satisfied')
        VERY_SATISFIED = 5, _('5 - Very Satisfied')

    name = forms.CharField(max_length=100, label='Your Name')
    email = forms.EmailField(label='Your Email')
    age = forms.IntegerField(label='Your Age')
    gender = forms.ChoiceField(
        choices=GenderChoise.choices, label='Your Gender')
    education_level = forms.ChoiceField(
        choices=EducationLevelChoise.choices, label='Your Education Level')
    occupation = forms.CharField(max_length=100, label='Your Occupation')
    country = forms.CharField(max_length=100, label='Your Country')
    satisfaction_rating = forms.ChoiceField(
        choices=SatisfactionRatingChoise.choices,
        label='Overall Satisfaction Rating')
    favorite_feature = forms.CharField(
        max_length=200, label='Your Favorite Feature')
    improvement_suggestions = forms.CharField(
        widget=forms.Textarea, label='Improvement Suggestions', required=False)
    interested_in_future_updates = forms.BooleanField(
        label='Interested in Future Updates', required=False)
    would_recommend = forms.BooleanField(
        label='Would Recommend', required=False)
    additional_comments = forms.CharField(
        widget=forms.Textarea, label='Additional Comments', required=False)


class EventRegistrationForm(forms.Form):
    full_name = forms.CharField(max_length=100, label=_('Full Name'))
    email = forms.EmailField(label=_('Email'))
    phone_number = forms.CharField(max_length=20, label=_('Phone Number'))
    event_name = forms.CharField(max_length=200, label=_('Event Name'))
    event_date = forms.DateField(label=_('Event Date'))
    dietary_restrictions = forms.CharField(
        widget=forms.Textarea, label=_('Dietary Restrictions'), required=False)
    additional_guests = forms.IntegerField(
        label=_('Number of Additional Guests'), min_value=0, initial=0)
    emergency_contact_name = forms.CharField(
        max_length=100, label=_('Emergency Contact Name'), required=False)
    emergency_contact_phone = forms.CharField(
        max_length=20, label=_('Emergency Contact Phone'), required=False)
    special_requests = forms.CharField(
        widget=forms.Textarea, label=_('Special Requests'), required=False)
    agree_to_terms = forms.BooleanField(
        label=_('I agree to the terms and conditions'), required=True)

    def clean(self):
        cleaned_data = super().clean()
        event_date = cleaned_data.get('event_date')

        if event_date and event_date < datetime.date.today():
            raise forms.ValidationError(_('Event date cannot be in the past.'))

        return cleaned_data


class ProductOrderForm(forms.Form):
    class SizeChoise(forms.ChoiceField):
        SMALL = 'small', _('Small')
        MEDIUM = 'medium', _('Medium')
        LARGE = 'large', _('Large')

    full_name = forms.CharField(max_length=100, label='Full Name')
    email = forms.EmailField(label='Email')
    phone_number = forms.CharField(max_length=20, label='Phone Number')
    address_line1 = forms.CharField(max_length=200, label='Address Line 1')
    address_line2 = forms.CharField(
        max_length=200, label='Address Line 2', required=False)
    city = forms.CharField(max_length=100, label='City')
    state = forms.CharField(max_length=100, label='State/Province')
    country = forms.CharField(max_length=100, label='Country')
    zip_code = forms.CharField(max_length=20, label='ZIP/Postal Code')
    product_name = forms.CharField(max_length=200, label='Product Name')
    quantity = forms.IntegerField(label='Quantity', min_value=1, initial=1)
    size = forms.ChoiceField(
        choices=SizeChoise.choices, label='Size')
    color = forms.CharField(max_length=50, label='Color')
    additional_notes = forms.CharField(
        widget=forms.Textarea, label='Additional Notes', required=False)
    terms_and_conditions = forms.BooleanField(
        label='I agree to the terms and conditions', required=True)


class NewsletterSubscriptionForm(forms.Form):
    email = forms.EmailField(label=_('Email'), max_length=100)
    first_name = forms.CharField(
        label=_('First Name'), max_length=50, required=False)
    last_name = forms.CharField(
        label=_('Last Name'), max_length=50, required=False)
    gender = forms.ChoiceField(
        label=_('Gender'), choices=GenderChoise.choices, required=False)
    age = forms.IntegerField(
        label=_('Age'), min_value=0, max_value=150, required=False)

files_app/views.py
from django.shortcuts import render
from django.http import FileResponse
from . import forms
from files_app.helpers.converter import get_generate

global SELECTED_OPTION


def home_view(request):
    if request.method == 'POST':
        SELECTED_OPTION = request.POST.get('selected_option')
        print("*************")
        print(SELECTED_OPTION)
    return render(request, 'home/index.html')


def resume_view(request):
    if request.method == 'POST':
        SELECTED_OPTION = request.POST.get('selected_option')
        form = forms.ResumeForm(request.POST, request.FILES)
        if form.is_valid():
            first_name = form.cleaned_data['first_name']
            last_name = form.cleaned_data['last_name']
            email = form.cleaned_data['email']
            phone_number = form.cleaned_data['phone_number']
            address = form.cleaned_data['address']
            summary = form.cleaned_data['summary']
            education = form.cleaned_data['education']
            experience = form.cleaned_data['experience']    
            skills = form.cleaned_data['skills']
            certifications = form.cleaned_data['certifications']

            data_dict = {
                'first_name': first_name,
                'last_name': last_name,
                'email': email,
                'phone_number': phone_number,
                'address': address,
                'summary': summary,
                'education': education,
                'experience': experience,
                'skills': skills,
                'certifications': certifications}

            print("*************")
            print(SELECTED_OPTION)

            path = get_generate(SELECTED_OPTION, data=data_dict)

            return FileResponse(open(path, 'rb'),
                                content_type='application/pdf')
        else:
            context = {'form': form}
            return render(request, "forms/resume.html", context)
    else:
        context = {'form': forms.ResumeForm()}
        return render(request, "forms/resume.html", context)


def user_registration_view(request):
    context = {}
    context['form'] = forms.UserRegistrationForm()
    return render(request, "forms/user_registration.html", context)


def contact_view(request):
    context = {}
    context['form'] = forms.ContactForm()
    return render(request, "forms/contact.html", context)


def feedback_view(request):
    context = {}
    context['form'] = forms.FeedbackForm()
    return render(request, "forms/feedback.html", context)


def Survey_view(request):
    context = {}
    context['form'] = forms.SurveyForm()
    return render(request, "forms/survey.html", context)


def event_registration_view(request):
    context = {}
    context['form'] = forms.EventRegistrationForm()
    return render(request, "forms/event_registration.html", context)


def product_order_view(request):
    context = {}
    context['form'] = forms.ProductOrderForm()
    return render(request, "forms/product_order.html", context)


def newsletter_subscription_view(request):
    context = {}
    context['form'] = forms.NewsletterSubscriptionForm()
    return render(request, "forms/newsletter_subscription.html", context)


def custum_view(request):
    return render(request, "forms/custum.html", )

files_app/templates/forms/contact.html
{% extends "home/index.html" %}
{% load static %}
{% block content %}
    <div class="container">
        <h2>Contact Us</h2>
        <form method="post" enctype="multipart/form-data">
            {% csrf_token %}
            <div class="form-group">
                <label for="id_name">Your Name:</label>
                <input type="text" class="form-control" id="id_name" name="name" required>
            </div>
            <div class="form-group">
                <label for="id_email">Your Email:</label>
                <input type="email" class="form-control" id="id_email" name="email" required>
            </div>
            <div class="form-group">
                <label for="id_phone_number">Phone Number:</label>
                <input type="text" class="form-control" id="id_phone_number" name="phone_number" required>
            </div>
            <div class="form-group">
                <label for="id_subject">Subject:</label>
                <input type="text" class="form-control" id="id_subject" name="subject" required>
            </div>
            <div class="form-group">
                <label for="id_message">Message:</label>
                <textarea class="form-control" id="id_message" name="message" rows="5" required></textarea>
            </div>
            <div class="form-group">
                <label for="id_department">Reason for Contacting Us:</label>
                <select class="form-control" id="id_department" name="department" required>
                    <option value="sales">Sales</option>
                    <option value="support">Support</option>
                    <option value="billing">Billing</option>
                    <option value="general">General Inquiry</option>
                </select>
            </div>
            <div class="form-group">
                <label for="id_urgency">Urgency:</label>
                <select class="form-control" id="id_urgency" name="urgency" required>
                    <option value="low">Low</option>
                    <option value="medium">Medium</option>
                    <option value="high">High</option>
                </select>
            </div>
            <div class="form-group">
                <label for="id_attachment">Attachment:</label>
                <input type="file" class="form-control-file" id="id_attachment" name="attachment">
            </div>
            <button type="submit" class="btn btn-primary">Submit</button>
        </form>
    </div>
{% endblock %}

files_app/templates/forms/event_registration.html
{% extends "home/index.html" %}
{% load static %}
{% block content %}
    <div class="container">
        <h2>Event Registration Form</h2>
        <form method="post">
            {% csrf_token %}
            <div class="form-group">
                <label for="id_full_name">Full Name:</label>
                <input type="text" class="form-control" id="id_full_name" name="full_name" required>
            </div>
            <div class="form-group">
                <label for="id_email">Email:</label>
                <input type="email" class="form-control" id="id_email" name="email" required>
            </div>
            <div class="form-group">
                <label for="id_phone_number">Phone Number:</label>
                <input type="text" class="form-control" id="id_phone_number" name="phone_number" required>
            </div>
            <div class="form-group">
                <label for="id_event_name">Event Name:</label>
                <input type="text" class="form-control" id="id_event_name" name="event_name" required>
            </div>
            <div class="form-group">
                <label for="id_event_date">Event Date:</label>
                <input type="date" class="form-control" id="id_event_date" name="event_date" required>
            </div>
            <div class="form-group">
                <label for="id_dietary_restrictions">Dietary Restrictions:</label>
                <textarea class="form-control" id="id_dietary_restrictions" name="dietary_restrictions" rows="3"></textarea>
            </div>
            <div class="form-group">
                <label for="id_additional_guests">Number of Additional Guests:</label>
                <input type="number" class="form-control" id="id_additional_guests" name="additional_guests" min="0" value="0">
            </div>
            <div class="form-group">
                <label for="id_emergency_contact_name">Emergency Contact Name:</label>
                <input type="text" class="form-control" id="id_emergency_contact_name" name="emergency_contact_name">
            </div>
            <div class="form-group">
                <label for="id_emergency_contact_phone">Emergency Contact Phone:</label>
                <input type="text" class="form-control" id="id_emergency_contact_phone" name="emergency_contact_phone">
            </div>
            <div class="form-group">
                <label for="id_special_requests">Special Requests:</label>
                <textarea class="form-control" id="id_special_requests" name="special_requests" rows="3"></textarea>
            </div>
            <div class="form-check">
                <input type="checkbox" class="form-check-input" id="id_agree_to_terms" name="agree_to_terms" required>
                <label class="form-check-label" for="id_agree_to_terms">I agree to the terms and conditions</label>
            </div>
            <button type="submit" class="btn btn-primary">Submit</button>
        </form>
    </div>

{% endblock %}

files_app/templates/forms/feedback.html
{% extends "home/index.html" %}
{% load static %}
{% block content %}
    <div class="container">
        <h2>Feedback Form</h2>
        <form method="post" enctype="multipart/form-data">
            {% csrf_token %}
            <div class="form-group">
                <label for="id_name">Your Name:</label>
                <input type="text" class="form-control" id="id_name" name="name" required>
            </div>
            <div class="form-group">
                <label for="id_email">Your Email:</label>
                <input type="email" class="form-control" id="id_email" name="email" required>
            </div>
            <div class="form-group">
                <label for="id_phone_number">Phone Number:</label>
                <input type="text" class="form-control" id="id_phone_number" name="phone_number" required>
            </div>
            <div class="form-group">
                <label for="id_feedback_type">Feedback Type:</label>
                <select class="form-control" id="id_feedback_type" name="feedback_type" required>
                    <option value="general">General Feedback</option>
                    <option value="bug_report">Bug Report</option>
                    <option value="feature_request">Feature Request</option>
                    <option value="complaint">Complaint</option>
                </select>
            </div>
            <div class="form-group">
                <label for="id_feedback_rating">Feedback Rating:</label>
                <select class="form-control" id="id_feedback_rating" name="feedback_rating" required>
                    <option value="excellent">Excellent</option>
                    <option value="good">Good</option>
                    <option value="average">Average</option>
                    <option value="poor">Poor</option>
                </select>
            </div>
            <div class="form-group">
                <label for="id_feedback_details">Feedback Details:</label>
                <textarea class="form-control" id="id_feedback_details" name="feedback_details" rows="5" required></textarea>
            </div>
            <div class="form-group">
                <label for="id_additional_comments">Additional Comments:</label>
                <textarea class="form-control" id="id_additional_comments" name="additional_comments" rows="3"></textarea>
            </div>
            <div class="form-group">
                <label for="id_attachment">Attachment:</label>
                <input type="file" class="form-control-file" id="id_attachment" name="attachment">
            </div>
            <button type="submit" class="btn btn-primary">Submit</button>
        </form>
    </div>

{% endblock %}

files_app/templates/forms/product_order.html
{% extends "home/index.html" %}
{% load static %}
{% block content %}
    <div class="container">
        <h2>Product Order Form</h2>
        <form method="post">
            {% csrf_token %}
            <div class="form-group">
                <label for="id_full_name">Full Name:</label>
                <input type="text" class="form-control" id="id_full_name" name="full_name" required>
            </div>
            <div class="form-group">
                <label for="id_email">Email:</label>
                <input type="email" class="form-control" id="id_email" name="email" required>
            </div>
            <div class="form-group">
                <label for="id_phone_number">Phone Number:</label>
                <input type="text" class="form-control" id="id_phone_number" name="phone_number" required>
            </div>
            <div class="form-group">
                <label for="id_address_line1">Address Line 1:</label>
                <input type="text" class="form-control" id="id_address_line1" name="address_line1" required>
            </div>
            <div class="form-group">
                <label for="id_address_line2">Address Line 2:</label>
                <input type="text" class="form-control" id="id_address_line2" name="address_line2">
            </div>
            <div class="form-group">
                <label for="id_city">City:</label>
                <input type="text" class="form-control" id="id_city" name="city" required>
            </div>
            <div class="form-group">
                <label for="id_state">State/Province:</label>
                <input type="text" class="form-control" id="id_state" name="state" required>
            </div>
            <div class="form-group">
                <label for="id_country">Country:</label>
                <input type="text" class="form-control" id="id_country" name="country" required>
            </div>
            <div class="form-group">
                <label for="id_zip_code">ZIP/Postal Code:</label>
                <input type="text" class="form-control" id="id_zip_code" name="zip_code" required>
            </div>
            <div class="form-group">
                <label for="id_product_name">Product Name:</label>
                <input type="text" class="form-control" id="id_product_name" name="product_name" required>
            </div>
            <div class="form-group">
                <label for="id_quantity">Quantity:</label>
                <input type="number" class="form-control" id="id_quantity" name="quantity" min="1" value="1" required>
            </div>
            <div class="form-group">
                <label for="id_size">Size:</label>
                <select class="form-control" id="id_size" name="size" required>
                    <option value="small">Small</option>
                    <option value="medium">Medium</option>
                    <option value="large">Large</option>
                </select>
            </div>
            <div class="form-group">
                <label for="id_color">Color:</label>
                <input type="text" class="form-control" id="id_color" name="color" required>
            </div>
            <div class="form-group">
                <label for="id_additional_notes">Additional Notes:</label>
                <textarea class="form-control" id="id_additional_notes" name="additional_notes" rows="3"></textarea>
            </div>
            <div class="form-check">
                <input type="checkbox" class="form-check-input" id="id_terms_and_conditions" name="terms_and_conditions" required>
                <label class="form-check-label" for="id_terms_and_conditions">I agree to the terms and conditions</label>
            </div>
            <button type="submit" class="btn btn-primary">Submit</button>
        </form>
    </div>

{% endblock %}

files_app/templates/forms/survey.html
{% extends "home/index.html" %}
{% load static %}
{% block content %}
    <div class="container">
        <h2>Survey Form</h2>
        <form method="post">
            {% csrf_token %}
            <div class="form-group">
                <label for="id_name">Your Name:</label>
                <input type="text" class="form-control" id="id_name" name="name" required>
            </div>
            <div class="form-group">
                <label for="id_email">Your Email:</label>
                <input type="email" class="form-control" id="id_email" name="email" required>
            </div>
            <div class="form-group">
                <label for="id_age">Your Age:</label>
                <input type="number" class="form-control" id="id_age" name="age" required>
            </div>
            <div class="form-group">
                <label for="id_gender">Your Gender:</label>
                <select class="form-control" id="id_gender" name="gender" required>
                    <option value="male">Male</option>
                    <option value="female">Female</option>
                    <option value="other">Other</option>
                </select>
            </div>
            <div class="form-group">
                <label for="id_education_level">Your Education Level:</label>
                <select class="form-control" id="id_education_level" name="education_level" required>
                    <option value="high_school">High School</option>
                    <option value="college">College</option>
                    <option value="graduate_school">Graduate School</option>
                    <option value="other">Other</option>
                </select>
            </div>
            <div class="form-group">
                <label for="id_occupation">Your Occupation:</label>
                <input type="text" class="form-control" id="id_occupation" name="occupation" required>
            </div>
            <div class="form-group">
                <label for="id_country">Your Country:</label>
                <input type="text" class="form-control" id="id_country" name="country" required>
            </div>
            <div class="form-group">
                <label for="id_satisfaction_rating">Overall Satisfaction Rating:</label>
                <select class="form-control" id="id_satisfaction_rating" name="satisfaction_rating" required>
                    <option value="1">1 - Very Dissatisfied</option>
                    <option value="2">2 - Dissatisfied</option>
                    <option value="3">3 - Neutral</option>
                    <option value="4">4 - Satisfied</option>
                    <option value="5">5 - Very Satisfied</option>
                </select>
            </div>
            <div class="form-group">
                <label for="id_favorite_feature">Your Favorite Feature:</label>
                <input type="text" class="form-control" id="id_favorite_feature" name="favorite_feature" required>
            </div>
            <div class="form-group">
                <label for="id_improvement_suggestions">Improvement Suggestions:</label>
                <textarea class="form-control" id="id_improvement_suggestions" name="improvement_suggestions" rows="3"></textarea>
            </div>
            <div class="form-check">
                <input type="checkbox" class="form-check-input" id="id_interested_in_future_updates" name="interested_in_future_updates">
                <label class="form-check-label" for="id_interested_in_future_updates">Interested in Future Updates</label>
            </div>
            <div class="form-check">
                <input type="checkbox" class="form-check-input" id="id_would_recommend" name="would_recommend">
                <label class="form-check-label" for="id_would_recommend">Would Recommend</label>
            </div>
            <div class="form-group">
                <label for="id_additional_comments">Additional Comments:</label>
                <textarea class="form-control" id="id_additional_comments" name="additional_comments" rows="3"></textarea>
            </div>
            <button type="submit" class="btn btn-primary">Submit</button>
        </form>
    </div>

{% endblock %}